%define	name		gmime
%define	version		2.0.11
%define	release		1mdk

%define	major		2.0
%define libname		%mklibname %{name} %{major}

%define _gtkdocdir	%{_defaultdocdir}/gtk-doc/html
%{expand:%%define _aclocaldir %(aclocal --print-ac-dir 2>/dev/null)}

Summary:		The libGMIME library
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		LGPL
Group:			System/Libraries
Source0:		http://spruce.sourceforge.net/gmime/sources/gmime-%{version}.tar.bz2
URL:			http://spruce.sourceforge.net/gmime/
Group:			System/Libraries
BuildRequires:		autoconf
BuildRequires:		automake
BuildRequires:		glib2-devel
BuildRequires:		gtk-doc
BuildRequires:		libtool
BuildRequires:		libunicode0-devel
Buildroot:		%{_tmppath}/%{name}-%{version}

%description
This library allows you to manipulate MIME messages.

%package -n		%{name}-utils
Summary:		Utilities using the libGMIME library
Group:          	File tools
Requires:		%{libname} = %{version}-%{release}

%description -n		%{name}-utils
This package contains gmime-uudecode and gmime-uuencode and will 
allow you to manipulate MIME messages. These utilities can also be
used instead of uudecode and uuencode from the sharutils package. 

%package -n		%{libname}
Summary:		The libGMIME library
Group:          	System/Libraries

%description -n		%{libname}
This library allows you to manipulate MIME messages.

%package -n		%{libname}-devel
Summary:		Development library and header files for the lib%{name} library
Group:			Development/C
Provides:		lib%{name}-devel
Requires:		%{libname} = %{version}-%{release}
Requires:		gtk-doc-common

%description -n		%{libname}-devel
This package contains the lib%{name} development library and its header files

%package -n		%{libname}-static-devel
Summary:		Development static library for the lib%{name} library
Group:			Development/C
Provides:		lib%{name}-static-devel
Requires:		%{libname} = %{version}-%{release}

%description -n		%{libname}-static-devel
This package contains the static lib%{name} development library

%prep

%setup -q

%build
#libtoolize --copy --force; aclocal; autoconf; automake

%configure2_5x \
    --with-html-dir=%{_gtkdocdir}

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot} HTML_DIR=%{_gtkdocdir}

# these are provided by sharutils, gotta rename them...
mv %{buildroot}%{_bindir}/uudecode %{buildroot}%{_bindir}/gmime-uudecode
mv %{buildroot}%{_bindir}/uuencode %{buildroot}%{_bindir}/gmime-uuencode

# cleanup
rm -f %{buildroot}%{_libdir}/gmimeConf.sh

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -n %{name}-utils
%defattr(-,root,root)
%doc README
%attr(755,root,root)%{_bindir}/gmime-uudecode
%attr(755,root,root)%{_bindir}/gmime-uuencode

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog PORTING  README TODO
%attr(755,root,root) %{_bindir}/gmime-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(644,root,root) %{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_gtkdocdir}/*

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog
* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.11-1mdk
- 2.0.11
- misc spec file fixes

* Tue Jul 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.9-1mdk
- 2.0.9
- use the %%configure2_5x macro

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.8-2mdk
- rebuild
- misc spec file fixes

* Mon May 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.8-1mdk
- 2.0.8
- drop P0, it's included upstream

* Thu Apr 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.6-1mdk
- 2.0.6

* Mon Mar 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.3-1mdk
- 2.0.3

* Mon Feb 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.2-1mdk
- 2.0.2
- use the %%mklibname macro
- don't pack the binaries
- misc spec file fixes
- put the binaries in the new %{name}-utils sub package

* Sun Jan 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.0-1mdk
- 2.0.0
- drop P0, P1, rediff P2 as P0
- prefix installed uudecode and uuencode with gmime-
- misc spec file fixes

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.90.1-2mdk
- build release

* Fri Sep 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.90.1-1mdk
- initial cooker contrib, ripped from PLD adapted for ML
